Author Topic: Wordpress - High-Performance instructions, but joomla and prestashop - no ...  (Read 4405 times)

0 Members and 1 Guest are viewing this topic.

Offline
***
Hi,

Wordpress - High-Performance instructions - is it a fact, but can I ask you for instructions on ioomla and prestashop sites?!?

Thanks in advance !

BR
Venty

Offline
***
Excuse me, joomla and prestashop sites?!? :)

Offline
**
Hi
At first, Please check the requirement(s) for Presta


Imagine you have a domain ( awsmonster.com ) and you want to use presta 1.7.5 ,Then you must have PHP 7.2 (Recommended).
Also Recommended: Apache Server with PHP-FPM ,

>>WebServer Settings >> WebServer Domain Conf >> Select a UserName >> username >> Apache->php-fpm
>>Now Fix the permission : User Accounts >> Fix Permissions

But Remember intl  is backdated for Latest Presta 1.7.5 , So you need to update this library to intl 63.1

How to check lib intl requirements?
>> Go to /home/username/public_html/ and Copy the latest prestashop 1.7.5.0.zip file and unzip here .
Now run the below command:
Code: [Select]
# php bin/symfony_requirements
OR if you use nginx + php-fpm then you need to write  Nginx friendly URLs ,
Follow this Guide: http://doc.prestashop.com/display/PS16/System+Administrator+Guide#SystemAdministratorGuide-NginxfriendlyURLs

How to update lib intl ?
Code: [Select]
# yum list available | grep libicu
# icuinfo | grep version

# cd /usr/local/src
# wget http://download.icu-project.org/files/icu4c/63.1/icu4c-63_1-src.tgz
# tar -xvf icu4c-*.tgz
# cd icu/source/
# sed -i '/#define __UCONFIG_H__/a #define UCONFIG_ENABLE_PLUGINS 1' common/unicode/uconfig.h
# ./configure --prefix=/usr --bindir=/usr/bin --libdir=/usr/lib64 --datadir=/usr/share --enable-plugins
# make -j4 && make install

Now compile the php again

You can follow the thread :
http://forum.centos-webpanel.com/php/php-accelerator-and-short_open_tag-with-prestashop/msg22018/#msg22018
http://forum.centos-webpanel.com/php/update-icu-system-package-and-the-intl-php-extension/msg21925/#msg21925

Offline
***

,.........

Imagine you have a domain ( awsmonster.com ) and you want to use presta 1.7.5 ,Then you must have PHP 7.2 (Recommended).
Also Recommended: Apache Server with PHP-FPM ,

>>WebServer Settings >> WebServer Domain Conf >> Select a UserName >> username >> Apache->php-fpm


..........

HI,

Thank you very much for the answer and everything I did from the guidelines, but I found the following:

1. In >> WebServer Settings >> WebServer Domain Conf >> Select a UserName >> username >> apache-> php-fpm - not only apache-> php-fpm settings, so I deleted these settings and left the php CGI / FastCGI - PrestaShop works ....

2. In >> WebServer Settings >> WebServer Domain Conf >> Select a UserName >> username >> nginx + apache-> php-fpm - prestaShop works ....

3. In >> WebServer Settings >> WebServer Domain Conf >> Select a UserName >> username >> nginx + return + apache-> php-fpm - prestaShop DO NOT WORK ... ??? In this case, when I log in to the Back office and select a link from the left menu, I access the corresponding page, then immediately select another link -  returns me to the login screen - mail and the password?!?

What do I do to work on the third option?!?
  
Thanks in advance for your cooperation ...

BR
Venty

Offline
*****
try to clear the cache of your website